import type { PopupProps } from '@gravity-ui/uikit';
import type { EditorView } from 'prosemirror-view';
export type AutocompletePopupProps = Pick<PopupProps, 'onOpenChange' | 'anchorElement'>;
export declare class AutocompletePopupCloser {
    #private;
    constructor(view: EditorView);
    popupOpenChangeHandler: NonNullable<PopupProps['onOpenChange']>;
    closeAutocomplete(): void;
    cancelTimer(): void;
}
